--- title: "Refund Transactions" slug: "refund-transactions" updated: 2025-03-05T17:11:34Z published: 2025-03-05T17:11:34Z canonical: "api-docs.blinkpayment.co.uk/refund-transactions" --- > ## Documentation Index > Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt > Use this file to discover all available pages before exploring further. # Refund Transactions Post/api/pay/v1/transactions/{transaction_id}/refunds **Parameters** - `transaction_id` (string, required): Transaction ID returned in the `return_url` after the Payment request. **Request Body** - `partial_refund` (boolean, optional): If the transaction is a partial refund, then set it to true. Default value is false. - `amount` (float, optional): Amount is required if it’s a partial refund. The amount cannot be greater than the original received amount minus any already refunded amount. - `reference` (string, optional): Reference for the refund. Default is the original transaction_unique. **Response Body** - `transaction_id` (string): The identifier of the original transaction for which the refund is being processed. - `amount` (float): The amount refunded in the transaction. - `status` (string): The status of the refund transaction, such as "completed", "pending", or "failed". - `reference` (string): The reference for the refund, which may be the original transaction_unique or a custom reference if provided. SecurityHTTPType bearer Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c Path parameterstransaction_idstringRequired Body parametersobject Example{ "partial_refund": true, "amount": 1 } Responses200 Successful response